Subject: Re: [PATCH RFC/RFD] clone: quell the progress report from init

From: Michael J Gruber <[email-masked]>
Date: Thu, 25 Mar 2010 10:26:39 +0100

Alex Riesen venit, vidit, dixit 25.03.2010 10:02:
> On Thu, Mar 25, 2010 at 09:46, Michael J Gruber
> <[email-masked]> wrote:
>> Currently, we really have two philosophies:
>> - report only on error
>> - be chatty on success
>>
>> I don't think that's a problem, but "simple" commands (e.g. branch, init,
>> add) should be in the former camp.
> 
> Right. Everytime add scrolls out the current terminal buffer I wish I
> had it sent to /dev/null.
> 
>>  builtin/clone.c |    2 +-
>>  1 files changed, 1 insertions(+), 1 deletions(-)
> 
> Sometimes I think a statistics like "1 byte inserted" are more appropriate :)

Yeah, I was thinking this would be the/a minimal patch, but I screwed it
with the commit message :)

> 
>> -       init_db(option_template, (option_verbosity < 0) ? INIT_DB_QUIET : 0);
>> +       init_db(option_template, (option_verbosity <= 0) ? INIT_DB_QUIET : 0);

Michael